Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class CacheMarshallersValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginListValue
                  org.apache.openjpa.conf.CacheMarshallersValue

All Implemented Interfaces:
  Cloneable

    public class CacheMarshallersValue

extends PluginListValue

A configuration value for handling and accessing cache marshallers.

Since:
  1.1.0

Field Summary

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`CacheMarshallersValue(Configuration conf)`

Method Summary
`Map<String,CacheMarshaller>` | `getInstancesAsMap()`
`static CacheMarshaller` | `getMarshallerById(Configuration c, String id)` Return the `CacheMarshaller` to use for caching metadata of id `id`.
`CacheMarshaller` | `getMarshallerById(String id)` Return the `CacheMarshaller` to use for caching metadata of id `id`.
`protected void` | `initialize()`
`Object` | `instantiate(Class<?> elemType, Configuration conf, boolean fatal)` Instantiate the plugins as instances of the given class.

Methods inherited from class org.apache.openjpa.lib.conf.PluginListValue
`getClassNames, getInternalString, getProperties, getString, getValueType, objectChanged, setClassNames, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, configure, get, instantiate, newInstance, set, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheMarshallersValue

    public CacheMarshallersValue(Configuration conf)

Method Detail

### instantiate

    public Object instantiate(Class<?> elemType,
                              Configuration conf,
                              boolean fatal)

  Description copied from class: `PluginListValue`
  Instantiate the plugins as instances of the given class.

  Overrides:
    `instantiate` in class `PluginListValue`

### getMarshallerById

    public CacheMarshaller getMarshallerById(String id)

  Return the `CacheMarshaller` to use for caching metadata of id `id`. If no marshaller exists for the id, returns `NoOpCacheMarshaller`.

### getMarshallerById

    public static CacheMarshaller getMarshallerById(Configuration c,
                                                    String id)

  Return the `CacheMarshaller` to use for caching metadata of id `id`. If no marshaller exists for the id, returns `NoOpCacheMarshaller`.

### getInstancesAsMap

    public Map<String,CacheMarshaller> getInstancesAsMap()

### initialize

    protected void initialize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.